import { request } from '/@/utils/service';

const apiPrefix = '/api/pricing/price_cost/';

export function getTableData(query: any) {
	return request({
		url: apiPrefix,
		method: 'GET',
		params: query
	});
}

export function updateRow(body: any) {
	return request({
		url: apiPrefix + body.id + '/',
		method: 'PUT',
		data: body
	});
}

export function deleteRow(body: any) {
	return request({
		url: apiPrefix + `${body.id}/` ,
		method: 'DELETE',
		data: body
	});
}

export function postCost(body: any) {
	return request({
		url: apiPrefix,
		data: body,
		method: 'POST'
	})
}

export function getDetail(query: any) {
	return request({
		url: apiPrefix + `${query.id}/` ,
		method: 'GET',
		params: query
	});
}

export function getOptions(query: any) {
	return request({
		url: '/api/pricing/price_cost/platform_country_code/',
		method: 'GET',
		params: query
	});
}


